IDMAP_TDB(8)

NAME
idmap_tdb - Samba's idmap_tdb Backend for Winbind

SYNOPSIS

The idmap_tdb plugin is the default backend used by winbindd for storing SID/uid/gid mapping tables.

In contrast to read only backends like idmap_rid, it is an allocating backend: This means that it needs to allocate new user and group IDs in order to create new mappings.

IDMAP OPTIONS

range = low - high
    Defines the available matching uid and gid range for which the backend is authoritative.

EXAMPLES

This example shows how tdb is used as the default idmap backend. This configured range is used for uid and gid allocation.
	[global]
	# "backend = tdb" is redundant here since it is the default
	idmap config * : backend = tdb
	idmap config * : range = 1000000-2000000

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.